@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');

body {
    margin: 0;
    background-color: #DBDFF4;
    height: 100vh;
    overflow: hidden;
    font-family: 'Figtree', sans-serif;
    font-size: 17px;
}

.center-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 92vh;
}

section {
    margin: auto;
    width: 75vw;
    height: 75vh;
    background-color: rgba(255, 255, 255, 0.3);
    border: 2px solid white;
    border-radius: 30px;
    display: flex;
    flex-direction: column;
}

#intro-section {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 70px;
}

.title-page h1 {
    font-size: 32px;
    color: var(--color-primary);
    font-weight: normal;
	margin-top: 0;
    margin-bottom: 20;
    line-height: 1.2;
    text-align: left;
}

.title-page h1 .highlight {
    font-weight: bold;
}

.title-date {
    padding-left: 10px;
}

.subtitle-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.subtitle {
    color: var(--color-primary);
    max-width: 55%;
    text-align: left;
    margin: 0;
}

.button-container {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    max-width: 30%;
}

.toggle-button {
    background-color: transparent;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    color: var(--color-primary);
    font-family: 'Figtree', sans-serif;
    font-size: 17px;
    transition: text-decoration 0.2s ease;
}

.toggle-button:hover, .toggle-button.active {
    text-decoration: underline;
    text-decoration-line: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 3px;
}

#content-section {
    overflow-y: auto;
	margin-inline: 70px;
}

#content-section img {
    cursor: pointer;
    width: 250px;
    height: 250px;
    border-radius: 10px;
    transition: transform 0.2s, -webkit-filter 0.2s;
}

.image-manager {
    position: relative;
    display: inline-block;
    height: 250px;
    width: 250px;
    max-width: 100%;
    max-height: 100%;
}

.image-manager img {
    cursor: pointer;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    transition: transform 0.2s, filter 0.2s;
}

.text-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    background-color: rgba(60, 61, 72, 0.7);
    border-radius: 10px;
    transition: opacity 0.2s ease;
    pointer-events: none;
    background-image: url("../Assets/Icons/Cthyllax_Zoom_Icon.png");
    background-size: 20%;
    background-repeat: no-repeat;
    background-position: center;
}

.image-manager:hover .text-overlay {
    opacity: 1;
}

.items .item {
    display: flex;
    margin-bottom: 22px;
    margin-right: 16px;
    border: 2px solid white;
    padding: 10px;
    border-radius: 20px;
    background-color: rgba(255, 255, 255, 0.85);
}

.items .item .description {
    margin-left: 20px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.description p {
    margin: 0;
    color: var(--color-primary);
}

.description p:not(.description-date) {
    margin-top: 20px;
}

.description .description-date {
	font-size: 15px;
    color: var(--color-secondary);
}

.description h2 {
	font-weight: bolder;
    margin-top: 0;
	margin-bottom: 2px;
    color: var(--color-primary);
}

#image-preview {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    background-color: #0009;
}

#image-preview img {
    max-width: 90%;
    max-height: 90%;
    border-radius: 20px;
}

@media only screen and (max-width: 1100px) {
    body {
        overflow: auto;
    }

    #intro-section {
        align-items: center;
        margin: 40px;
    }

    #content-section {
        margin: 0px 40px 40px;
    }

    .title-page h1 {
        text-align: center;
    }

    .subtitle-container {
        flex-direction: column;
        gap: 30px;
    }

    .subtitle {
        text-align: center;
        max-width: none;
    }

    .button-container {
        max-width: none;
    }

    .item {
        flex-direction: column;
        align-items: center;
    }

    .items .item .description {
        margin: 10px 40px 30px 40px;
    }
}

@media only screen and (max-width: 700px) {
    body {
        overflow-x: hidden;
        font-size: 16px;
    }

    .description h2 {
        font-size: 20px;
    }

    #intro-section {
        margin: 16px;
    }

    .title-page h1 {
        font-size: 27px;
        margin: 18px 0;
        text-align: center;
    }

    .items .item {
        flex-direction: column;
        align-items: center;
        padding: 10px;
        margin-right: 0;
    }

    .items .item .description {
        margin: 10px 0px 0px 0px;
    }

    #content-section {
        margin: 16px;
    }

    .toggle-button {
        font-size: 16px;
    }

    section {
        height: 80vh;
        width: 92vw;
        border-radius: 18px;
    }
}
